
var express = require('express');
var router = express.Router();
var model=require('../application');

//监控页面
router.get('/monitorpage', function (req, res, next) {
    res.render('editmonitor',model);
});

//房屋页面
router.get('/buildingpage', function (req, res, next) {
    res.render('editbuilding',model);
  });


//场所页面
router.get('/areapage', function (req, res, next) {
  res.render('editarea',model);
});

//门面房页面
router.get('/facadepage', function (req, res, next) {
  res.render('editfacade',model);
});

//社区管理页面
router.get('/communitymanage', function (req, res, next) {
  if (!req.session.user.gridid) {
    res.render('communitymanage',model);
  }else{
    res.json({
      resultStatus: require('../util/model').resultStatus.noAuthority
    });
  }
});

//Èsʶ±ðæoute
router.get('/faceRecognition', function (req, res, next) {
res.render('faceRecognition',model);
});


router.get('/showoneday', function (req, res, next) {
  res.render('mammoth',model);
  });
module.exports = router;
